
From: Pavel Machek <pavel@ucw.cz>

Update suspend documentation.  Warnings were a bit overstated, and did not
point out important stuff.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/power/swsusp.txt |   22 ++++++++++------------
 1 files changed, 10 insertions(+), 12 deletions(-)

diff -puN Documentation/power/swsusp.txt~suspend-update-warnings-in-documentation Documentation/power/swsusp.txt
--- devel/Documentation/power/swsusp.txt~suspend-update-warnings-in-documentation	2005-08-22 01:18:25.000000000 -0700
+++ devel-akpm/Documentation/power/swsusp.txt	2005-08-22 01:18:25.000000000 -0700
@@ -1,22 +1,20 @@
-From kernel/suspend.c:
+Some warnings, first.
 
  * BIG FAT WARNING *********************************************************
  *
- * If you have unsupported (*) devices using DMA...
- *				...say goodbye to your data.
- *
  * If you touch anything on disk between suspend and resume...
  *				...kiss your data goodbye.
  *
- * If your disk driver does not support suspend... (IDE does)
- *				...you'd better find out how to get along
- *				   without your data.
- *
- * If you change kernel command line between suspend and resume...
- *			        ...prepare for nasty fsck or worse.
+ * If you do resume from initrd after your filesystems are mounted...
+ *				...bye bye root partition.
+ *			[this is actually same case as above]
  *
- * If you change your hardware while system is suspended...
- *			        ...well, it was not good idea.
+ * If you have unsupported (*) devices using DMA, you may have some
+ * problems. If your disk driver does not support suspend... (IDE does),
+ * it may cause some problems, too. If you change kernel command line
+ * between suspend and resume, it may do something wrong. If you change
+ * your hardware while system is suspended... well, it was not good idea;
+ * but it wil probably only crash.
  *
  * (*) suspend/resume support is needed to make it safe.
 
_
